List commissions

GET/commissions/list

Returns a list of commissions.

  • Without status, only paid commissions are returned.
  • To filter by status, repeat the parameter for each status (status=paid&status=canceled) or use brackets (status[]=paid&status[]=canceled). A single status=paid without brackets returns 400 with Invalid param: [status].

Headers

  • x-api-keystringrequired

    Api key provided on integrations tab in Easyflow platform.

  • x-api-secretstringrequired

    Api Secret provided on integrations tab in Easyflow platform.

  • business-idstringrequired

    Business Identifier

Query parameters

  • pageintegerrequired

    Page number to access

    Example:1

  • limitintegerrequired

    Number of items to be loaded per page

    Example:10

  • initialDatestring

    Filters results from this date onward (YYYY-MM-DD)

  • endDatestring

    Filters results up to this date (YYYY-MM-DD)

  • statusarray of strings

    Filters results by commission status. Repeat the parameter for each status, such as status=paid&status=canceled. To filter by one status, send it with brackets, such as status[]=canceled. A single status=paid without brackets returns 400 with Invalid param: [status]. Without status, only paid commissions are returned.

    Possible values:pendingpaidreleasedcanceledreversedrefundedcharged-backpartialy-released

Responses

200Returns a list of commissions.

Returns a list of commissions.

Content typeapplication/jsonobject

  • statusCodeinteger

    Example:200

  • dataobject
    Show child attributesHide child attributes
    • docsarray of objects
      Show child attributesHide child attributes
      • idstring
      • grossValueInCentsinteger
      • netValueInCentsinteger
      • taxInCentsinteger
      • receiverRolestring

        Possible values:producerco-produceraffiliateplatform

      • settlementDatestring
      • statusstring

        Possible values:pendingpaidreleasedcanceledreversedrefundedcharged-backpartialy-released

      • interestValueInCentsinteger
      • installmentinteger
      • planDetailsobject
        Show child attributesHide child attributes
        • descriptionstring
        • planNamestring
      • paymentobject
        Show child attributesHide child attributes
        • idstring
        • statusstring

          Possible values:pendingin-processingauthorizedpaidpartially-paidrefusedabortedcanceledcharged-backchargeback-in-disputeunpaidaccepteddeniedreversedrefunded

        • valuePaidInCentsinteger
        • fineValueInCentsinteger
        • installmentsinteger
        • interestValueInCentsinteger
        • paymentMethodstring

          Possible values:credit-cardpixbank-billetcryptodebit-cardtransfer

        • valueInCentsinteger
        • bankBilletobject
          Show child attributesHide child attributes
          • expireAtstringnullable
          • barCodestringnullable
          • linkstringnullable
          • linestringnullable
        • pixobject
          Show child attributesHide child attributes
          • expireAtstringnullable
          • copyAndPasteCodestringnullable
          • qrCodestringnullable
        • creditCardobject
          Show child attributesHide child attributes
          • nicknamestringnullable
          • last4Numbersstringnullable
          • holderNamestringnullable
          • expiresAtMonthintegernullable
          • expiresAtYearintegernullable
          • flagstringnullable

            Possible values:visamastercardamerican-expressdiners-clubdiscoverjcbunionpaymaestromirelohiperhipercard

    • limitinteger
    • currentPageinteger
    • nextPageintegernullable
    • totalPagesinteger
    • totalDocsinteger
    • hasNextboolean
400If the provided parameter is invalid, the API will return the following error response:

If the provided parameter is invalid, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid param: []

    Example:Invalid param: []

  • errorstring

    Bad Request

    Example:Bad Request

  • statusCodeinteger

    400

    Example:400

  • errorCodestring

    Code that identifies the error. Present only on some errors.

401If the request is unauthorized, the API will return the following error response:

If the request is unauthorized, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid field

    Example:Unauthorized

  • errorstring

    Unauthorized

    Example:Unauthorized

  • statusCodeinteger

    401

    Example:401

403If the request is forbidden, the API will return the following error response:

If the request is forbidden, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Forbidden resource

    Example:Forbidden resource

  • errorstring

    Forbidden

    Example:Forbidden

  • statusCodeinteger

    403

    Example:403

500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

Content typeapplication/jsonobject

  • statusCodeinteger

    HTTP status code.

    Example:500

  • messagestring

    Explanation of the error.

    Example:Internal Server Error